Bug 975286 - Download InDesign translation mistakenly return 404
Download InDesign translation mistakenly return 404
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 22:56 EDT by Ding-Yi Chen
Modified: 2013-11-26 22:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0-alpha-2-SNAPSHOT (20130712-1222)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 975284
Environment:
Last Closed: 2013-11-26 22:22:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-06-17 22:56:42 EDT
Description of problem:
When downloading InDesign translation, it returns JBWEB000065: HTTP Status 404 - Could not find resource for relative

Both .idml and offline .pot suffer this symptom. 
But other project types have no such symptom.

Version-Release number of selected component (if applicable):
3.0.0-alpha-2-SNAPSHOT (20130618-0020)

How reproducible:
Always

Steps to Reproduce:
1. Navigate to any non-empty InDesign project/Version
2. Click at document icon on any language.
3. Click ".idml" on any document
4. Click "offline .po" on any document

Actual results:
Step 3 and 4 return empty documents.

Expected results:
Step 3 and 4 invoke download dialogs that ask the location to put the .idml and .po files.


Additional info:
Comment 1 Ding-Yi Chen 2013-06-17 22:57:55 EDT
Actual results should be:
Step 3 and 4 return JBWEB000065: HTTP Status 404 - Could not find resource for relative
Comment 2 Alex Eng 2013-06-18 21:37:52 EDT
fixed in 3.0.0-alpha-2-SNAPSHOT

See 
https://github.com/zanata/zanata-server/commit/63cbf997550bc40554df39f05b30088ac0145bb0
Comment 3 Ding-Yi Chen 2013-07-12 00:32:26 EDT
VERIFIED with Zanata version 3.0.0-alpha-2-SNAPSHOT (20130712-1222)
Comment 4 Sean Flanigan 2013-11-26 22:22:34 EST
Closing bugs which were VERIFIED with snapshots <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.